| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
kpmUtil.cpp File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <ARX/AR/ar.h>`
`#include <ARX/AR/icp.h>`
`#include <ARX/KPM/kpm.h>`
`#include <ARX/KPM/kpmType.h>`
`#include <ARX/KPM/surfSub.h>`
Include dependency graph for kpmUtil.cpp:

## Functions
int | kpmUtilGetCorner (ARUint8 *inImage, int xsize, int ysize, int procMode, int maxPointNum, CornerPoints *cornerPoints)
ARUint8 * | kpmUtilResizeImage (ARUint8 *image, int xsize, int ysize, int procMode, int *newXsize, int *newYsize)
int | kpmUtilGetPose (ARParamLT *cparamLT, KpmMatchResult *matchData, KpmRefDataSet *refDataSet, KpmInputDataSet *inputDataSet, float camPose[3][4], float *error)
int | kpmUtilGetPose2 (ARParamLT *cparamLT, KpmMatchResult *matchData, KpmRefDataSet *refDataSet, int *redDataIndex, KpmInputDataSet *inputDataSet, float camPose[3][4], float *error)
int | kpmUtilGetPoseHomography (KpmMatchResult *matchData, KpmRefDataSet *refDataSet, KpmInputDataSet *inputDataSet, float camPose[3][4], float *error)

## Function Documentation

## ◆ kpmUtilGetCorner()

int kpmUtilGetCorner | ( | ARUint8 * | inImage,
|  | int | xsize,
|  | int | ysize,
|  | int | procMode,
|  | int | maxPointNum,
|  | CornerPoints * | cornerPoints
| ) |  |

Here is the call graph for this function:

## ◆ kpmUtilGetPose()

int kpmUtilGetPose | ( | ARParamLT * | cparamLT,
|  | KpmMatchResult * | matchData,
|  | KpmRefDataSet * | refDataSet,
|  | KpmInputDataSet * | inputDataSet,
|  | float | camPose[3][4],
|  | float * | error
| ) |  |

Here is the call graph for this function:

## ◆ kpmUtilGetPose2()

int kpmUtilGetPose2 | ( | ARParamLT * | cparamLT,
|  | KpmMatchResult * | matchData,
|  | KpmRefDataSet * | refDataSet,
|  | int * | redDataIndex,
|  | KpmInputDataSet * | inputDataSet,
|  | float | camPose[3][4],
|  | float * | error
| ) |  |

Here is the call graph for this function:

## ◆ kpmUtilGetPoseHomography()

int kpmUtilGetPoseHomography | ( | KpmMatchResult * | matchData,
|  | KpmRefDataSet * | refDataSet,
|  | KpmInputDataSet * | inputDataSet,
|  | float | camPose[3][4],
|  | float * | error
| ) |  |

## ◆ kpmUtilResizeImage()

ARUint8 * kpmUtilResizeImage | ( | ARUint8 * | imageLuma,
|  | int | xsize,
|  | int | ysize,
|  | int | procMode,
|  | int * | newXsize,
|  | int * | newYsize
| ) |  |

Parameters

  imageLuma | Source luminance image, as an unpadded pixel buffer beginning with the leftmost pixel of the top row.
  xsize | Width of pixel data in 'imageLuma'.
  ysize | height of pixel data in 'imageLuma'.
  procMode |

Returns